(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else {
		var a = factory();
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = __webpack_require__(1);


/***/ },
/* 1 */
/***/ function(module, exports, __webpack_require__) {

	/**
	 * build by slashhuang 16.7.17
	 * 主程序入口
	 */
	'use strict';

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

	var _coreJs = __webpack_require__(2);

	var _coreJs2 = _interopRequireDefault(_coreJs);

	var _utilsCheckerJs = __webpack_require__(3);

	$.fn.logger = function () {
	  var container = $(this);
	  $.fn.logger.init(container);
	  return container;
	};
	/**
	 * 兼容所有事件类型,方法类型
	 */
	$.fn.logger._eventType = ['on', 'click', 'blur', 'focus', 'load', 'beforeunload', 'mouseover', 'mouseenter', 'change', 'input', 'keyup', 'scroll'];
	/**
	 * @param container jquery对象
	 */
	$.fn.logger.init = function (container) {
	  //初始化日志模块,修正所有的要处理的key
	  this._eventType.forEach(function (eventType) {
	    container[eventType] = _coreJs2['default'](eventType);
	  });
	};
	/**
	 * 初始化日志打点
	 * @param logModule 打点文件
	 */
	$.fn.logger.use = function (logModule) {
	  //检测日志是否规范,不规范的话直接返回并打印错误信息
	  _utilsCheckerJs.checkLog(logModule);
	  //存放打点模块
	  $.fn.logger['logModule'] = logModule;
	};

	if (jQuery) {
	  jQuery.logger = $.logger = $.fn.logger;
	}

/***/ },
/* 2 */
/***/ function(module, exports) {

	/**
	 * Created by slashhuang on 16/7/17.
	 * 执行打点
	 */

	'use strict';

	exports.__esModule = true;
	var logCore = function logCore(eventType) {
	    return function () {
	        //将方法重定向到jQuery的方法
	        var container = this;
	        //采用统一的jquery方式
	        if (eventType == 'on') {
	            $.fn.on.apply(container, logUtils.transArgs.apply(logUtils, arguments));
	        } else {
	            $.fn.on.apply(container, [eventType].concat(logUtils.transArgs.apply(logUtils, arguments)));
	        }
	    };
	};

	var logUtils = {
	    /**
	     * 修改回调函数，嵌入打点
	     * @param callback
	     * @return {Function}
	     */
	    transArgs: function transArgs() {
	        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
	            args[_key] = arguments[_key];
	        }

	        var callback = args.pop(),
	            _this = this,
	            finalCallback = function finalCallback() {
	            for (var _len2 = arguments.length, args = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
	                args[_key2] = arguments[_key2];
	            }

	            if (typeof callback == 'function') {
	                callback && callback.apply(this, args);
	            }
	            //如果设置了logger为false，则不进行logger
	            if (!$(this).data('stopLog')) {
	                _this.triggerLogger.apply(this, args);
	            }
	        };
	        //如果最后一个参数不是函数，则还是塞回去
	        if (typeof callback != 'function') {
	            args.push(callback);
	        }
	        args.push(finalCallback);
	        return args;
	    },
	    /**
	     * 返回日志参数
	     * @param args
	     * @return {*}
	     */

	    /**
	     * 打点模块
	     */
	    triggerLogger: function triggerLogger() {
	        //获取打点参数
	        var $this = $(this);
	        var keyName = $this.data('logKey');
	        var dealKey = $.fn.logger.logModule[keyName];
	        var logArgs = {};
	        if (typeof dealKey == 'function') {
	            for (var _len3 = arguments.length, args = Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
	                args[_key3] = arguments[_key3];
	            }

	            logArgs = dealKey.apply.apply(dealKey, [this].concat(args));
	        } else if (typeof dealKey == 'object') {
	            logArgs = dealKey;
	        }
	        //执行打点

	        $.fn.logger.executor(logArgs);
	    }
	};
	exports['default'] = logCore;
	module.exports = exports['default'];

/***/ },
/* 3 */
/***/ function(module, exports) {

	/**
	 * Created by slashhuang on 16/7/16.
	 * 参数检测
	 */
	'use strict';

	exports.__esModule = true;
	exports['default'] = {
	    //打印参数错误日志
	    _console: function _console(message) {
	        if (typeof console == 'object') {
	            console.error(message);
	        }
	    },
	    /**
	     * 检测日志文件是否符合规范,
	     * @param logger 日志构造函数或者日志key/value处理文件
	     */
	    checkLog: function checkLog(logger) {
	        var checkLogType = Object.prototype.toString;
	        if (!(typeof logger == 'object' && checkLogType.call(logger) == "[object Object]")) {
	            undefined._console('your logger should be a pure key/value object');
	            return false;
	        }
	    }
	};
	module.exports = exports['default'];

/***/ }
/******/ ])
});
;