/**
 * Created by slashhuang on 16/7/16.
 * 参数检测
 */
'use strict';

exports.__esModule = true;
exports['default'] = {
    //打印参数错误日志
    _console: function _console(message) {
        if (typeof console == 'object') {
            console.error(message);
        }
    },
    /**
     * 检测日志文件是否符合规范,
     * @param logger 日志构造函数或者日志key/value处理文件
     */
    checkLog: function checkLog(logger) {
        var checkLogType = Object.prototype.toString;
        if (!(typeof logger == 'object' && checkLogType.call(logger) == "[object Object]")) {
            undefined._console('your logger should be a pure key/value object');
            return false;
        }
    }
};
module.exports = exports['default'];